ObjectStore (Mule ESB 2.2.1 API)
Keywords: org.mule.api.store.ObjectStore interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.store
Interface ObjectStore

All Known Implementing Classes:
  AbstractMonitoredObjectStore, InMemoryObjectStore, TextFileObjectStore

    public interface ObjectStore

TODO

Method Summary
`boolean` | `containsObject(String id)` Check whether the given Object is already registered with this store.
`boolean` | `removeObject(String id)`
`Object` | `retrieveObject(String id)` Retrieve the given Object.
`boolean` | `storeObject(String id, Object item)` Store the given Object.

Method Detail

### containsObject

    boolean containsObject(String id)
                           throws Exception

  Check whether the given Object is already registered with this store.

  Parameters:
    `id` - the ID to check
  Returns:
    `true` if the ID is stored or `false` if it could not be found
  Throws:
    `IllegalArgumentException` - if the given ID is `null`
    `Exception` - if any implementation-specific error occured, e.g. when the store is not available

### storeObject

    boolean storeObject(String id,
                        Object item)
                        throws Exception

  Store the given Object.

  Parameters:
    `id` - the ID to store
    `item` - the Object to store with the id
  Returns:
    `true` if the ID was stored properly, or `false` if it already existed
  Throws:
    `IllegalArgumentException` - if the given ID cannot be stored or is `null`
    `Exception` - if the store is not available or any other implementation-specific error occured

### retrieveObject

    Object retrieveObject(String id)
                          throws Exception

  Retrieve the given Object.

  Parameters:
    `id` - the ID to store
  Returns:
    the object instance associated with this id or null if there was no entry for the supplied id.
  Throws:
    `IllegalArgumentException` - if the given ID cannot be stored or is `null`
    `Exception` - if the store is not available or any other implementation-specific error occured

### removeObject

    boolean removeObject(String id)
                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.